Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.team.ui.synchronize
Interface ISynchronizePage

public interface ISynchronizePage

Interface for `Page` subclasses that can appear in the synchronize view `ISynchronizeView` and other views, editors or dialogs that display synchronization information. It is not a requirement that pages that appear in the synchronize view implement this interface.

Since:
  3.0

Method Summary
`boolean` | `aboutToChangeProperty(ISynchronizePageConfiguration configuration, String key, Object newValue)` Callback that is invoked from the synchronize configuration whenever a property's value is about to be changed.
`Viewer` | `getViewer()` Returns the viewer associated with this page or `null` if the page doesn't have a viewer.
`void` | `init(ISynchronizePageSite site)` Initialize this page with workbench part that contains the page.

Method Detail

### init

    public void init(ISynchronizePageSite site)
              throws PartInitException

  Initialize this page with workbench part that contains the page. This method will be called after the `Page#init(IPageSite)` but before `Page#createControl(Composite)`

  Throws:
    `PartInitException`

### getViewer

    public Viewer getViewer()

  Returns the viewer associated with this page or `null` if the page doesn't have a viewer.

  Returns:
    the viewer associated with this page or `null` if the page doesn't have a viewer.

### aboutToChangeProperty

    public boolean aboutToChangeProperty(ISynchronizePageConfiguration configuration,
                                         String key,
                                         Object newValue)

  Callback that is invoked from the synchronize configuration whenever a property's value is about to be changed. The page can react to the change before change events are fired or veto the change.

  Parameters:
    `configuration` - the synchronize page configuration
    `key` - the property key
    `newValue` -
  Returns:
    `true`if the property change should continue to be fired to other listeners or `false` to veto the property change notification.``

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.